package com.yem.wm.es.storagetrans.form;

import com.yem.wm.es.Util.PJUtils;
import com.yem.wm.im.clientdemand.utils.ClientUtils;
import com.yem.wm.utils.FunctionalCommon;
import kd.bos.bill.AbstractBillPlugIn;
import kd.bos.entity.datamodel.IDataModel;
import kd.bos.entity.datamodel.events.ChangeData;
import kd.bos.entity.datamodel.events.PropertyChangedArgs;
import kd.bos.form.IFormView;
import kd.sdk.plugin.Plugin;

/**
 * 单据界面
 */
public class StorageTransPJEdit extends AbstractBillPlugIn implements Plugin {

    @Override
    public void propertyChanged(PropertyChangedArgs e) {
        IFormView view = this.getView();
        IDataModel model = this.getModel();
        ChangeData changeData = e.getChangeSet()[0];
        String name = e.getProperty().getName();
        int rowIndex = changeData.getRowIndex();
        switch(name){
//            case "yem_exrate" :
//                PJUtils.countCostSumAmountPJ(model);
//                break;
//            case "yem_ticketprice" :
//            case "yem_bigcabinetprice" :
//            case "yem_mincabinetprice" :
//            case "yem_bigcabinetnumber" :
//            case "yem_mincabinetnumber" :
//            case "yem_singlenumber" :
//                PJUtils.countCostSumAmountPJ(model);
//                break;
        }

    }
}